Summary: Encoding/decoding utilities for C/C++ function declarations.
Name: cdecl
Version: 2.5
Release: 31
License: distributable
Group: Development/Tools
Source: ftp://ibiblio.org/pub/Linux/devel/lang/c/%{name}-%{version}.tar.gz
Patch0: cdecl-2.5.misc.patch
Patch1: cdecl.fixes
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: readline-devel libtermcap-devel bison flex

%description
The cdecl package includes the cdecl and c++decl utilities, which are
used to translate English to C or C++ function declarations and vice
versa.

%prep
%setup -q
%patch0 -p1 -b .misc
%patch1 -p1 -b .fixes

%build
make CFLAGS="$RPM_OPT_FLAGS -DUSE_READLINE"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

make BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1 \
	install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Sep 03 2013 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for rhel6, with a fix or two

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 2.5-26
- rebuild on all arches

* Thu Jul 11 2002 Phil Knirsch <pknirsch@redhat.com> 2.5-25
- Fixed use of readline.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.5-24
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.5-23
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 2.5-22
- automated rebuild

* Tue Nov  6 2001 Preston Brown <pbrown@redhat.com> 2.5-21
- fix an ISO C variable issue (#54355)

* Mon Aug 13 2001 Preston Brown <pbrown@redhat.com> 2.5-20
- build dependency on libtermcap-devel

* Thu Jul 19 2001 Preston Brown <pbrown@redhat.com> 2.5-19
- Build dependency on readline-devel

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.5-18
- Rebuild with new readline

* Mon Dec 11 2000 Preston Brown <pbronw@redhat.com>
- use _tmppath, updated URL.

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- fix build on ia64

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- use FHS paths

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- bison, not yacc

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new readline

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages, fix description.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- built for glibc 2.1

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline lib w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
